type CharData = {
    label: string;
    latex?: string;
    useCommand?: boolean;
};
type Props = {
    /**
     * The characters to show in this group.
     * Note that the characters will be displayed in the same order as they appear
     * in this array. The exact position where a character is rendered in the grid
     * is thus controlled by its position in this array and the `props.cols` number.
     */
    chars: CharData[];
    /** The number of columns in this button group */
    cols: number;
    /** The number of columns this group should span when it itself is in a grid */
    span?: number;
    isExpanded: boolean;
};
export default function ButtonGroup({ cols, chars, isExpanded, span }: Props): import("react/jsx-runtime").JSX.Element;
export {};
