"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = ButtonGroup;
const jsx_runtime_1 = require("react/jsx-runtime");
const styled_components_1 = __importDefault(require("styled-components"));
const state_1 = __importDefault(require("../../../state"));
function ButtonGroup({ cols, chars, isExpanded, span = 1 }) {
    const editor = (0, state_1.default)();
    const charsToShow = isExpanded ? chars : chars.slice(0, cols);
    function onMouseDown(e, char) {
        var _a, _b, _c, _d, _e;
        e.preventDefault();
        e.stopPropagation();
        if ((_a = editor.activeMathEditor) === null || _a === void 0 ? void 0 : _a.mq.el().contains(document.activeElement)) {
            if (char.useCommand) {
                editor.activeMathEditor.mq.cmd((_b = char.latex) !== null && _b !== void 0 ? _b : char.label);
            }
            else {
                editor.activeMathEditor.mq.write((_c = char.latex) !== null && _c !== void 0 ? _c : char.label);
            }
        }
        else if ((_d = document.activeElement) === null || _d === void 0 ? void 0 : _d.closest('.math-editor-latex-field')) {
            window.document.execCommand('insertText', false, (_e = char.latex) !== null && _e !== void 0 ? _e : char.label);
        }
        else {
            window.document.execCommand('insertText', false, char.label);
        }
    }
    return ((0, jsx_runtime_1.jsx)(Container, { cols: cols, span: span, children: charsToShow.map((char) => {
            var _a;
            return ((0, jsx_runtime_1.jsx)(Button, { "data-testid": "special-character", onMouseDown: (e) => onMouseDown(e, char), "data-latex": (_a = char.latex) !== null && _a !== void 0 ? _a : char.label, children: char.label }, char.label));
        }) }));
}
const Container = styled_components_1.default.div `
  width: ${(props) => props.cols * 35}px;
  grid-column: auto / span ${(props) => props.span};

  display: inline-grid;
  grid-template-columns: repeat(${(props) => props.cols}, 1fr);
`;
const Button = styled_components_1.default.button `
  position: relative;

  width: 35px;
  height: 35px;

  background: none;
  border: none;

  cursor: pointer;

  font-family: Symbola, monospace;
  font-size: 16px;
  color: #555;

  transition: background-color 75ms;

  &:hover {
    background-color: #f0f0f0;
  }
  &:active {
    background-color: #e0e0e0;
  }

  &:hover:after {
    position: absolute;
    background: #359bb7;
    border-radius: 5px;
    color: #fff;
    content: attr(data-latex);
    letter-spacing: 1.5px;
    font-size: 16px;
    left: 50%;
    top: 100%;
    padding: 7px 15px;
    position: absolute;
    z-index: 32;
    transform: translate(-50%, 0);
    white-space: nowrap;
    pointer-events: none;
  }
  &:hover:before {
    position: aboslute;
    display: inline-block;
    border: solid;
    border-color: #359bb7 transparent;
    border-width: 0 6px 6px 6px;
    bottom: 0;
    content: '';
    left: 50%;
    position: absolute;
    z-index: 99;
    margin-left: -6px;
  }
`;
