"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SET_THEORY = exports.GEOMETRY = exports.ALGEBRA = exports.BASIC = void 0;
exports.BASIC = [
    { label: '°' },
    { label: '·', latex: '\\cdot' },
    { label: '×', latex: '\\times' },
    { label: '±', latex: '\\pm' },
    { label: '∞', latex: '\\infty' },
    { label: '²', latex: '^2' },
    { label: '³', latex: '^3' },
    { label: '½', latex: '\\frac{1}{2}' },
    { label: '⅓', latex: '\\frac{1}{3}' },
    { label: 'π', latex: '\\pi' },
    { label: '‰' },
    { label: 'α', latex: '\\alpha' },
    { label: 'β', latex: '\\beta' },
    { label: 'Γ', latex: '\\Gamma' },
    { label: 'γ', latex: '\\gamma' },
    { label: 'Δ', latex: '\\Delta' },
    { label: 'δ', latex: '\\delta' },
    { label: 'ε', latex: '\\varepsilon' },
    { label: 'ζ', latex: '\\zeta' },
    { label: 'η', latex: '\\eta' },
    { label: 'θ', latex: '\\theta' },
    { label: 'ϑ', latex: '\\vartheta' },
    { label: 'ι', latex: '\\iota' },
    { label: 'κ', latex: '\\kappa' },
    { label: 'Λ', latex: '\\Lambda' },
    { label: 'λ', latex: '\\lambda' },
    { label: 'µ', latex: '\\mu' },
    { label: 'ν', latex: '\\nu' },
    { label: 'Ξ', latex: '\\Xi' },
    { label: 'ξ', latex: '\\xi' },
    { label: '∏', latex: '\\Pi' },
    { label: 'ρ', latex: '\\rho' },
    { label: '∑', latex: '\\Sigma' },
    { label: 'σ', latex: '\\sigma' },
    { label: 'τ', latex: '\\tau' },
    { label: 'Υ', latex: '\\Upsilon' },
    { label: 'υ', latex: '\\upsilon' },
    { label: 'Φ', latex: '\\Phi' },
    { label: 'ϕ', latex: '\\phi' },
    { label: 'χ', latex: '\\chi' },
    { label: 'Ψ', latex: '\\Psi' },
    { label: 'ψ', latex: '\\psi' },
    { label: 'Ω', latex: '\\Omega' },
    { label: 'ω', latex: '\\omega' },
    { label: '∂', latex: '\\partial' },
    { label: 'φ', latex: '\\varphi' },
];
exports.ALGEBRA = [
    { label: '≠', latex: '\\neq' },
    { label: '≈', latex: '\\approx' },
    { label: '≤', latex: '\\leq' },
    { label: '≥', latex: '\\geq' },
    { label: '<' },
    { label: '>' },
    { label: '∼', latex: '\\sim' },
    { label: '≡', latex: '\\equiv' },
    { label: '≢', latex: '\\not\\equiv' },
    { label: '∘', latex: '\\circ' },
    { label: '…', latex: '\\ldots' },
    { label: '∝', latex: '\\propto' },
];
exports.GEOMETRY = [
    { label: '∢', latex: '\\sphericalangle' },
    { label: '|', latex: '\\mid' },
    { label: '‖', latex: '\\parallel' },
    { label: '⇌', latex: '\\xrightleftharpoons', useCommand: true },
    { label: '⇅' },
    { label: '∠', latex: '\\angle' },
    { label: '↑', latex: '\\uparrow' },
    { label: '↗', latex: '\\nearrow' },
    { label: '↘', latex: '\\searrow' },
    { label: '↓', latex: '\\downarrow' },
    { label: '↔', latex: '\\leftrightarrow' },
    { label: '⊥', latex: '\\perp' },
];
exports.SET_THEORY = [
    { label: '→', latex: '\\rightarrow' },
    { label: '⇒', latex: '\\Rightarrow' },
    { label: '⇔', latex: '\\Leftrightarrow' },
    { label: '∈', latex: '\\in' },
    { label: 'ℤ', latex: '\\mathbb{Z}' },
    { label: 'ℝ', latex: '\\mathbb{R}' },
    { label: '∃', latex: '\\exists' },
    { label: '∀', latex: '\\forall' },
    { label: 'ℕ', latex: '\\mathbb{N}' },
    { label: 'ℚ', latex: '\\mathbb{Q}' },
    { label: '∩', latex: '\\cap' },
    { label: '∪', latex: '\\cup' },
    { label: '∖', latex: '\\setminus' },
    { label: '⊂', latex: '\\subset' },
    { label: '⊄', latex: '\\not\\subset' },
    { label: '∉', latex: '\\notin' },
    { label: '∅', latex: '\\varnothing' },
    { label: '∧', latex: '\\wedge' },
    { label: '∨', latex: '\\vee' },
    { label: '¬', latex: '\\neg' },
    { label: '∇', latex: '\\nabla' },
];
